<table class="table links-table is-striped ">
	<thead>
		<tr><th class="has-text-left">Link-O-Matic Link</th><th class="has-text-left">Original URL</th>
			<th class="has-text-right">Clicks</th><th colspan="2">&nbsp;</th></tr>
	</thead>
	<tbody>
	<% @links.each do |l| %>
		<tr>
			<td><%= link_to absolute_short_url(l), absolute_short_url(l), data: { turbo:false }, target: :_blank %></td>
			<td><%= l.url %></td>
			<td class="has-text-right"><%= l.count %></td>
			<td class="has-text-centered">
				<button class="button is-small is-link is-outlined copy-button" data-clipboard-text="<%= absolute_short_url(l) %>">
					Copy <i class="fa-duotone fa-clipboard"></i>
				</button>
			</td>
			<td class="has-text-centered">
				<%= link_to(l, data: { "turbo-method": :delete }, title: "Delete #{l.short_url}") do %>
					<span class="icon has-text-danger">
						<i class="fa-duotone fa-trash-xmark"></i>
					</span>
				<% end %>
			</td>
		</tr>
	<% end %>
	</tbody>
</table>